Summary:       OpenGL frontend to Freetype 2
Name:          ftgl
Version:       2.1.3
Release:       4%{?dist}
License:       LGPLv2
URL:           https://sourceforge.net/projects/ftgl
Source0:       http://downloads.sourceforge.net/ftgl/ftgl-%{version}-rc5.tar.bz2

Patch3000:     ftgl-2.1.3-rc5-ttf_font.patch
Patch3001:     ftgl-2.1.3-rc5-ldflags.patch

BuildRequires: gcc-c++ doxygen freeglut-devel freetype-devel libXi-devel libXmu-devel cppunit-devel make

%description
FTGL is a free open source library to enable developers to use arbitrary fonts in their OpenGL
(www.opengl.org)  applications.  Unlike other OpenGL font libraries FTGL uses standard font file
formats so doesn't need a preprocessing step to convert the high quality font data into a lesser
quality, proprietary format.  FTGL uses the Freetype (www.freetype.org) font library to open and
'decode' the fonts. It then takes that output and stores it in a format most efficient for OpenGL rendering.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release} pkgconfig freetype-devel

%description    devel
The %{name}-devel package contains libraries and header files for developing applications that use %{name}.

%prep
%autosetup -n ftgl-%{version}~rc5 -p1

%build
%configure \
  --enable-shared \
  --disable-static \
  --with-gl-inc=%{_includedir} \
  --with-gl-lib=%{_libdir} \
  --with-glut-inc=%{_includedir} \
  --with-glut-lib=%{_libdir} \
  --with-x

sed -i 's/2\.1\.3~rc5/2.1.3/' ftgl.pc

%make_build all

%install
%make_install
find %{buildroot} -name '*.la' -exec rm -f {} ';'

mkdir -p __doc/html
install -pm 0644 %{buildroot}%{_datadir}/doc/ftgl/html/* __doc/html
rm -rf %{buildroot}%{_datadir}/doc

%files
%license COPYING
%doc AUTHORS BUGS ChangeLog NEWS README TODO
%{_libdir}/*.so.*

%files devel
%doc __doc/*
%{_includedir}/FTGL/
%{_libdir}/*.so
%{_libdir}/pkgconfig/*

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.1.3-4
- Rebuilt for OpenCloudOS Stream 23.09

* Tue Aug 22 2023 Shuo Wang <abushwang@tencent.com> - 2.1.3-3
- Rebuilt for freeglut 3.4.0

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.1.3-2
- Rebuilt for OpenCloudOS Stream 23.05

* Tue Apr 18 2023 Shuo Wang <abushwang@tencent.com> - 2.1.3-1
- initial build
